Page MenuHomePhabricator

Use Deferred/Promise and generally async-friendly code paths instead of jquery.pubsub
Closed, ResolvedPublic

Description

Right now we do a lot of homebrew asynchronous programming, which might have been fine before, but we have jQuery.Deferred and jQuery.Promise now! Let's clean this up and be uniform about it.


Version: master
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=54724

Details

Reference
bz49988
Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterGet rid of pubsub once and for all
mediawiki/extensions/UploadWizard : masterUse promises for getting image info

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:50 AM
bzimport added projects: UploadWizard, JavaScript.
bzimport set Reference to bz49988.
bzimport added a subscriber: Unknown Object (MLST).
Gilles added a subscriber: Gilles.

Make the changesets reference the bug so that they appear here?

gerritbot added a subscriber: gerritbot.

Change 146604 had a related patch set uploaded (by Gergő Tisza):
Use promises for getting image info

https://gerrit.wikimedia.org/r/146604

Patch-For-Review

Blocked for now in favor of better browser test coverage

Gilles removed a subscriber: Gilles.Apr 27 2015, 7:51 AM
Jdforrester-WMF moved this task from Untriaged to Doing on the Multimedia board.Apr 30 2015, 4:08 PM
MarkTraceur moved this task from Doing to Next up on the Multimedia board.Sep 4 2015, 5:17 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 5:17 PM

Change 146604 abandoned by Bartosz Dziewoński:
Use promises for getting image info

Reason:
No longer merges, and we did some work in this area in other patches. Probably better to start from scratch.

https://gerrit.wikimedia.org/r/146604

matmarex renamed this task from Use Deferred/Promise and generally async-friendly code paths where possible to Use Deferred/Promise and generally async-friendly code paths instead of jquery.pubsub.Sep 23 2015, 2:28 PM
matmarex removed MarkTraceur as the assignee of this task.
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.
matmarex removed subscribers: gerritbot, wikibugs-l-list.

The work done so far:

MarkTraceur moved this task from Next up to Prototyping on the Multimedia board.Oct 5 2015, 3:49 PM
matmarex claimed this task.Oct 26 2015, 4:37 PM

Change 248908 had a related patch set uploaded (by Bartosz Dziewoński):
Get rid of pubsub once and for all

https://gerrit.wikimedia.org/r/248908

Change 248908 merged by jenkins-bot:
Get rid of pubsub once and for all

https://gerrit.wikimedia.org/r/248908

matmarex closed this task as Resolved.Nov 3 2015, 3:38 PM

And rEUWI1107ab8100e6: Get rid of pubsub once and for all finished the job. Look ma, no pubsub!